org.apache.cassandra.thrift

## Class AuthenticationRequest

- java.lang.Object
- - org.apache.cassandra.thrift.AuthenticationRequest

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<AuthenticationRequest>, org.apache.thrift.TBase<AuthenticationRequest,AuthenticationRequest._Fields>

    public class AuthenticationRequest
    extends java.lang.Object
    implements org.apache.thrift.TBase<AuthenticationRequest,AuthenticationRequest._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<AuthenticationRequest>

Authentication requests can contain any data, dependent on the IAuthenticator used

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `AuthenticationRequest._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`java.util.Map<java.lang.String,java.lang.String>` `credentials`
`static java.util.Map<AuthenticationRequest._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

### Constructor Summary

Constructors
Constructor and Description
`AuthenticationRequest()`
`AuthenticationRequest(AuthenticationRequest other)` Performs a deep copy on other.
`AuthenticationRequest(java.util.Map<java.lang.String,java.lang.String> credentials)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo(AuthenticationRequest other)`
`AuthenticationRequest` `deepCopy()`
`boolean` `equals(AuthenticationRequest that)`
`boolean` `equals(java.lang.Object that)`
`AuthenticationRequest._Fields` `fieldForId(int fieldId)`
`java.util.Map<java.lang.String,java.lang.String>` `getCredentials()`
`int` `getCredentialsSize()`
`java.lang.Object` `getFieldValue(AuthenticationRequest._Fields field)`
`int` `hashCode()`
`boolean` `isSet(AuthenticationRequest._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetCredentials()` Returns true if field credentials is set (has been assigned a value) and false otherwise
`void` `putToCredentials(java.lang.String key, java.lang.String val)`
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`AuthenticationRequest` `setCredentials(java.util.Map<java.lang.String,java.lang.String> credentials)`
`void` `setCredentialsIsSet(boolean value)`
`void` `setFieldValue(AuthenticationRequest._Fields field, java.lang.Object value)`
`java.lang.String` `toString()`
`void` `unsetCredentials()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### credentials

    public java.util.Map<java.lang.String,java.lang.String> credentials

#### metaDataMap

    public static final java.util.Map<AuthenticationRequest._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### AuthenticationRequest

    public AuthenticationRequest()

#### AuthenticationRequest

    public AuthenticationRequest(java.util.Map<java.lang.String,java.lang.String> credentials)

#### AuthenticationRequest

    public AuthenticationRequest(AuthenticationRequest other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public AuthenticationRequest deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<AuthenticationRequest,AuthenticationRequest._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<AuthenticationRequest,AuthenticationRequest._Fields>`

#### getCredentialsSize

    public int getCredentialsSize()

#### putToCredentials

    public void putToCredentials(java.lang.String key,
                                 java.lang.String val)

#### getCredentials

    public java.util.Map<java.lang.String,java.lang.String> getCredentials()

#### setCredentials

    public AuthenticationRequest setCredentials(java.util.Map<java.lang.String,java.lang.String> credentials)

#### unsetCredentials

    public void unsetCredentials()

#### isSetCredentials

    public boolean isSetCredentials()

Returns true if field credentials is set (has been assigned a value) and false otherwise

#### setCredentialsIsSet

    public void setCredentialsIsSet(boolean value)

#### setFieldValue

    public void setFieldValue(AuthenticationRequest._Fields field,
                              java.lang.Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<AuthenticationRequest,AuthenticationRequest._Fields>`

#### getFieldValue

    public java.lang.Object getFieldValue(AuthenticationRequest._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<AuthenticationRequest,AuthenticationRequest._Fields>`

#### isSet

    public boolean isSet(AuthenticationRequest._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<AuthenticationRequest,AuthenticationRequest._Fields>`

#### equals

    public boolean equals(java.lang.Object that)

Overrides:
  `equals` in class `java.lang.Object`

#### equals

    public boolean equals(AuthenticationRequest that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo(AuthenticationRequest other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<AuthenticationRequest>`

#### fieldForId

    public AuthenticationRequest._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<AuthenticationRequest,AuthenticationRequest._Fields>`

#### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TBase<AuthenticationRequest,AuthenticationRequest._Fields>`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TBase<AuthenticationRequest,AuthenticationRequest._Fields>`
Throws:
  `org.apache.thrift.TException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`